task oneClass {
	File snv_train_vcf
	File snv_test_vcf
	File indel_train_vcf
	File indel_test_vcf
	String sampleName = basename(snv_train_vcf,".normed.snv.train.txt")
	String docker
	String cluster_config
	String disk_size
	
	command <<<

	python /opt/oneClass.py -train ${snv_train_vcf} -test ${snv_test_vcf} -name ${sampleName}_snv

	python /opt/oneClass.py -train ${indel_train_vcf} -test ${indel_test_vcf} -name ${sampleName}_indel	

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File snv_true_txt = "${sampleName}_snv_predicted_true.txt"
		File snv_false_txt = "${sampleName}_snv_predicted_false.txt"
		File snv_true_bed = "${sampleName}_snv_predicted_true.bed"
		File snv_false_bed = "${sampleName}_snv_predicted_false.bed"
		File snv_padding = "${sampleName}_snv_padding.bed"
		File indel_true_txt = "${sampleName}_indel_predicted_true.txt"
		File indel_false_txt = "${sampleName}_indel_predicted_false.txt"
		File indel_true_bed = "${sampleName}_indel_predicted_true.bed"
		File indel_false_bed = "${sampleName}_indel_predicted_false.bed"
		File indel_padding = "${sampleName}_indel_padding.bed"
	}
}

