task votes {
	File merged_vcf
	File vcf_dup
	String sample
	String prefix
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		python /opt/high_confidence_call_vote.py -vcf ${merged_vcf} -dup ${vcf_dup} -sample ${sample} -prefix ${prefix}
		cat ${prefix}_annotated.vcf | cut -f1-9,45 | grep -v 'filtered' | grep -v 'confirm for parents' | grep -v 'pcr-free-speicifc' | grep -v 'pcr-speicifc' | grep -v 'dupVar' > ${prefix}_bechmarking_calls.vcf
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File annotated_vcf = "${prefix}_annotated.vcf"
		File benchmark_call = "${prefix}_bechmarking_calls.vcf"
	}
}
